### Method

# EDataBook DataBookView set_indices

since: 3.50

#### Declaration [src]

    void
    e_data_book_view_set_indices (
      EDataBookView* self,
      const EBookIndices* indices
    )

#### Description [src]

Sets indices used by the `self`. The array is terminated by an item with chr member being `NULL`. See `e_data_book_view_dup_indices()` for more information.

Note: This function can be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY`.

Available since: 3.50

Sets property | `EDataBook.DataBookView:indices`

#### Parameters

`indices`

  Type: `EBookIndices`

  An array of `EBookIndices`.

  The data is owned by the caller of the method.